HanMacWrdKGraphInternal::Group Struct Reference documentation

Classes | Public Member Functions | Public Attributes | Friends | List of all members
HanMacWrdKGraphInternal::Group Struct Referencefinal

Internal: the group of a HanMacWrdKGraph. More...

Inheritance diagram for HanMacWrdKGraphInternal::Group:

## Classes
struct | Child
| struct to store child data in HanMacWrdKGraphInternal::Group More...

## Public Member Functions
| Group (Frame const &orig)
| constructor
| ~Group () final
| destructor
std::string | print () const
| print local data
Public Member Functions inherited from HanMacWrdKGraphInternal::Frame
| Frame ()
| constructor
| Frame (Frame const &)=default
virtual | ~Frame ()
| destructor
MWAWBox2f | getBdBox () const
| return the frame bdbox

## Public Attributes
std::vector< Child > | m_childsList
| the list of child
Public Attributes inherited from HanMacWrdKGraphInternal::Frame
int | m_type
| the graph type
long | m_fileId
| the file id
long | m_fileSubId
| the file sub id
int | m_id
| the local id
int | m_page
| the page
MWAWBox2f | m_pos
| the position
float | m_baseline
| the baseline
int | m_posFlags
| the graph anchor flags
MWAWGraphicStyle | m_style
| the style
int | m_borderType
| the border type
MWAWVec2f | m_borders [4]
| the border default size (before using width), 0 means Top, other unknown
bool | m_inGroup
| true if the frame is a child of a group
bool | m_parsed
| true if we have send the data
std::string | m_extra
| an extra string

## Friends
std::ostream & | operator<< (std::ostream &o, Group const &group)
| operator<<

## Detailed Description

Internal: the group of a HanMacWrdKGraph.

## Constructor & Destructor Documentation

## ◆ Group()

HanMacWrdKGraphInternal::Group::Group | ( | Frame const & | orig | ) |
| inlineexplicit

constructor

## ◆ ~Group()

HanMacWrdKGraphInternal::Group::~Group | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ print()

std::string HanMacWrdKGraphInternal::Group::print | ( |  | ) | const

print local data

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Group const & | group )
| friend

operator<<

## Member Data Documentation

## ◆ m_childsList

std::vector<Child> HanMacWrdKGraphInternal::Group::m_childsList

the list of child

Referenced by HanMacWrdKGraph::canCreateGraphic(), HanMacWrdKGraph::checkGroupStructures(), print(), HanMacWrdKGraph::sendGroup(), and HanMacWrdKGraph::sendGroupChild().

The documentation for this struct was generated from the following file:

- HanMacWrdKGraph.cxx